THRIFT-3695 Fix D test scripts

This closes #911
diff --git a/lib/d/test/async_test_runner.sh b/lib/d/test/async_test_runner.sh
old mode 100644
new mode 100755
index 4b9b7c0..7d507ee
--- a/lib/d/test/async_test_runner.sh
+++ b/lib/d/test/async_test_runner.sh
@@ -1,6 +1,28 @@
 #!/bin/bash
+
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+CUR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+
 # Runs the async test in both SSL and non-SSL mode.
-./async_test > /dev/null || exit 1
+${CUR}/async_test > /dev/null || exit 1
 echo "Non-SSL tests done."
-./async_test --ssl > /dev/null || exit 1
+${CUR}/async_test --ssl > /dev/null || exit 1
 echo "SSL tests done."